#ifndef H_ANIM_BEGIN
#define H_ANIM_BEGIN

#define rnd(x) (x-(int)x<.5?(int)x:(int)x+1)
#define NB 20
#define LENGHT 2


typedef struct
{
	float x1[NB], x2[NB], y1[NB], y2[NB], dx[NB], dy[NB], old_x[NB], old_y[NB];
} Rope;


void init_rope(Rope* rope, int x, int y);
void move_rope(Rope* rope);
void draw_rope(Rope* rope);
void shake_screen();
void title();
void the_end();

#endif
